SUSE: 2022:3341-1 important: dpdk | LinuxSecurity.com

   SUSE Security Update: Security update for dpdk
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:3341-1
Rating:             important
References:         #1202903 #1202956 
Cross-References:   CVE-2022-2132 CVE-2022-28199
CVSS scores:
                    CVE-2022-2132 (NVD) : 8.6 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:C/C:N/I:N/A:H
                    CVE-2022-2132 (SUSE): 8.6 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:C/C:N/I:N/A:H
                    CVE-2022-28199 (NVD) : 6.5 CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
                    CVE-2022-28199 (SUSE): 7.3 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:L/I:H/A:H

Affected Products:
                    SUSE Linux Enterprise High Performance Computing 15-SP4
                    SUSE Linux Enterprise Module for Server Applications 15-SP4
                    SUSE Linux Enterprise Server 15-SP4
                    SUSE Linux Enterprise Server for SAP Applications 15-SP4
                    SUSE Manager Proxy 4.3
                    SUSE Manager Retail Branch Server 4.3
                    SUSE Manager Server 4.3
                    openSUSE Leap 15.4
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for dpdk fixes the following issues:

   - CVE-2022-2132: Fixed DoS when a vhost header crosses more than two
     descriptors and exhausts all mbufs (bsc#1202903).
   - CVE-2022-28199: Fixed buffer overflow in the vhost code (bsc#1202956).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.4:

      zypper in -t patch openSUSE-SLE-15.4-2022-3341=1

   - SUSE Linux Enterprise Module for Server Applications 15-SP4:

      zypper in -t patch SUSE-SLE-Module-Server-Applications-15-SP4-2022-3341=1



Package List:

   - openSUSE Leap 15.4 (aarch64 ppc64le x86_64):

      dpdk-19.11.10-150400.4.7.1
      dpdk-debuginfo-19.11.10-150400.4.7.1
      dpdk-debugsource-19.11.10-150400.4.7.1
      dpdk-devel-19.11.10-150400.4.7.1
      dpdk-devel-debuginfo-19.11.10-150400.4.7.1
      dpdk-examples-19.11.10-150400.4.7.1
      dpdk-examples-debuginfo-19.11.10-150400.4.7.1
      dpdk-kmp-default-19.11.10_k5.14.21_150400.24.18-150400.4.7.1
      dpdk-kmp-default-debuginfo-19.11.10_k5.14.21_150400.24.18-150400.4.7.1
      dpdk-tools-19.11.10-150400.4.7.1
      dpdk-tools-debuginfo-19.11.10-150400.4.7.1
      libdpdk-20_0-19.11.10-150400.4.7.1
      libdpdk-20_0-debuginfo-19.11.10-150400.4.7.1

   - openSUSE Leap 15.4 (aarch64):

      dpdk-thunderx-19.11.10-150400.4.7.1
      dpdk-thunderx-debuginfo-19.11.10-150400.4.7.1
      dpdk-thunderx-debugsource-19.11.10-150400.4.7.1
      dpdk-thunderx-devel-19.11.10-150400.4.7.1
      dpdk-thunderx-devel-debuginfo-19.11.10-150400.4.7.1
      dpdk-thunderx-examples-19.11.10-150400.4.7.1
      dpdk-thunderx-examples-debuginfo-19.11.10-150400.4.7.1
      dpdk-thunderx-kmp-default-19.11.10_k5.14.21_150400.24.18-150400.4.7.1
      dpdk-thunderx-kmp-default-debuginfo-19.11.10_k5.14.21_150400.24.18-150400.4.7.1
      dpdk-thunderx-tools-19.11.10-150400.4.7.1
      dpdk-thunderx-tools-debuginfo-19.11.10-150400.4.7.1

   - openSUSE Leap 15.4 (noarch):

      dpdk-doc-19.11.10-150400.4.7.1
      dpdk-thunderx-doc-19.11.10-150400.4.7.1

   - SUSE Linux Enterprise Module for Server Applications 15-SP4 (aarch64 ppc64le x86_64):

      dpdk-19.11.10-150400.4.7.1
      dpdk-debuginfo-19.11.10-150400.4.7.1
      dpdk-debugsource-19.11.10-150400.4.7.1
      dpdk-devel-19.11.10-150400.4.7.1
      dpdk-devel-debuginfo-19.11.10-150400.4.7.1
      dpdk-kmp-default-19.11.10_k5.14.21_150400.24.18-150400.4.7.1
      dpdk-kmp-default-debuginfo-19.11.10_k5.14.21_150400.24.18-150400.4.7.1
      dpdk-tools-19.11.10-150400.4.7.1
      dpdk-tools-debuginfo-19.11.10-150400.4.7.1
      libdpdk-20_0-19.11.10-150400.4.7.1
      libdpdk-20_0-debuginfo-19.11.10-150400.4.7.1

   - SUSE Linux Enterprise Module for Server Applications 15-SP4 (aarch64):

      dpdk-thunderx-19.11.10-150400.4.7.1
      dpdk-thunderx-debuginfo-19.11.10-150400.4.7.1
      dpdk-thunderx-debugsource-19.11.10-150400.4.7.1
      dpdk-thunderx-devel-19.11.10-150400.4.7.1
      dpdk-thunderx-devel-debuginfo-19.11.10-150400.4.7.1
      dpdk-thunderx-kmp-default-19.11.10_k5.14.21_150400.24.18-150400.4.7.1
      dpdk-thunderx-kmp-default-debuginfo-19.11.10_k5.14.21_150400.24.18-150400.4.7.1


References:

   https://www.suse.com/security/cve/CVE-2022-2132.html
   https://www.suse.com/security/cve/CVE-2022-28199.html
   https://bugzilla.suse.com/1202903
   https://bugzilla.suse.com/1202956

SUSE: 2022:3341-1 important: dpdk

September 23, 2022
An update that fixes two vulnerabilities is now available

Summary

This update for dpdk fixes the following issues: - CVE-2022-2132: Fixed DoS when a vhost header crosses more than two descriptors and exhausts all mbufs (bsc#1202903). - CVE-2022-28199: Fixed buffer overflow in the vhost code (bsc#1202956). Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.4: zypper in -t patch openSUSE-SLE-15.4-2022-3341=1 - SUSE Linux Enterprise Module for Server Applications 15-SP4: zypper in -t patch SUSE-SLE-Module-Server-Applications-15-SP4-2022-3341=1 Package List: - openSUSE Leap 15.4 (aarch64 ppc64le x86_64): dpdk-19.11.10-150400.4.7.1 dpdk-debuginfo-19.11.10-150400.4.7.1 dpdk-debugsource-19.11.10-150400.4.7.1 dpdk-devel-19.11.10-150400.4.7.1 dpdk-devel-debuginfo-19.11.10-150400.4.7.1 dpdk-examples-19.11.10-150400.4.7.1 dpdk-examples-debuginfo-19.11.10-150400.4.7.1 dpdk-kmp-default-19.11.10_k5.14.21_150400.24.18-150400.4.7.1 dpdk-kmp-default-debuginfo-19.11.10_k5.14.21_150400.24.18-150400.4.7.1 dpdk-tools-19.11.10-150400.4.7.1 dpdk-tools-debuginfo-19.11.10-150400.4.7.1 libdpdk-20_0-19.11.10-150400.4.7.1 libdpdk-20_0-debuginfo-19.11.10-150400.4.7.1 - openSUSE Leap 15.4 (aarch64): dpdk-thunderx-19.11.10-150400.4.7.1 dpdk-thunderx-debuginfo-19.11.10-150400.4.7.1 dpdk-thunderx-debugsource-19.11.10-150400.4.7.1 dpdk-thunderx-devel-19.11.10-150400.4.7.1 dpdk-thunderx-devel-debuginfo-19.11.10-150400.4.7.1 dpdk-thunderx-examples-19.11.10-150400.4.7.1 dpdk-thunderx-examples-debuginfo-19.11.10-150400.4.7.1 dpdk-thunderx-kmp-default-19.11.10_k5.14.21_150400.24.18-150400.4.7.1 dpdk-thunderx-kmp-default-debuginfo-19.11.10_k5.14.21_150400.24.18-150400.4.7.1 dpdk-thunderx-tools-19.11.10-150400.4.7.1 dpdk-thunderx-tools-debuginfo-19.11.10-150400.4.7.1 - openSUSE Leap 15.4 (noarch): dpdk-doc-19.11.10-150400.4.7.1 dpdk-thunderx-doc-19.11.10-150400.4.7.1 - SUSE Linux Enterprise Module for Server Applications 15-SP4 (aarch64 ppc64le x86_64): dpdk-19.11.10-150400.4.7.1 dpdk-debuginfo-19.11.10-150400.4.7.1 dpdk-debugsource-19.11.10-150400.4.7.1 dpdk-devel-19.11.10-150400.4.7.1 dpdk-devel-debuginfo-19.11.10-150400.4.7.1 dpdk-kmp-default-19.11.10_k5.14.21_150400.24.18-150400.4.7.1 dpdk-kmp-default-debuginfo-19.11.10_k5.14.21_150400.24.18-150400.4.7.1 dpdk-tools-19.11.10-150400.4.7.1 dpdk-tools-debuginfo-19.11.10-150400.4.7.1 libdpdk-20_0-19.11.10-150400.4.7.1 libdpdk-20_0-debuginfo-19.11.10-150400.4.7.1 - SUSE Linux Enterprise Module for Server Applications 15-SP4 (aarch64): dpdk-thunderx-19.11.10-150400.4.7.1 dpdk-thunderx-debuginfo-19.11.10-150400.4.7.1 dpdk-thunderx-debugsource-19.11.10-150400.4.7.1 dpdk-thunderx-devel-19.11.10-150400.4.7.1 dpdk-thunderx-devel-debuginfo-19.11.10-150400.4.7.1 dpdk-thunderx-kmp-default-19.11.10_k5.14.21_150400.24.18-150400.4.7.1 dpdk-thunderx-kmp-default-debuginfo-19.11.10_k5.14.21_150400.24.18-150400.4.7.1

References

#1202903 #1202956

Cross- CVE-2022-2132 CVE-2022-28199

CVSS scores:

CVE-2022-2132 (NVD) : 8.6 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:C/C:N/I:N/A:H

CVE-2022-2132 (SUSE): 8.6 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:C/C:N/I:N/A:H

CVE-2022-28199 (NVD) : 6.5 CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

CVE-2022-28199 (SUSE): 7.3 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:L/I:H/A:H

Affected Products:

SUSE Linux Enterprise High Performance Computing 15-SP4

SUSE Linux Enterprise Module for Server Applications 15-SP4

SUSE Linux Enterprise Server 15-SP4

SUSE Linux Enterprise Server for SAP Applications 15-SP4

SUSE Manager Proxy 4.3

SUSE Manager Retail Branch Server 4.3

SUSE Manager Server 4.3

openSUSE Leap 15.4

https://www.suse.com/security/cve/CVE-2022-2132.html

https://www.suse.com/security/cve/CVE-2022-28199.html

https://bugzilla.suse.com/1202903

https://bugzilla.suse.com/1202956

Severity
Announcement ID: SUSE-SU-2022:3341-1
Rating: important

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.